import { Observable } from 'rxjs/Observable';

export class CreateKnokStepServiceData {
    name: string;
    value: string | number;
}

export abstract class CreateKnokStepService {
    abstract show(): void;
    abstract markAsTouched(): void;
    abstract hide(): void;
    abstract get valid(): boolean;
    abstract get stepName(): string[];
    abstract getValue(prop: string): string;
    abstract loadData(value: {[key: string]: string}): void;
    abstract saveData(): {[key: string]: string};
    abstract set changeCallback(handler: { (): void });
}
